GENDERS_PARSE(3)

NAME
genders_parse - determine errors with a genders file

SYNOPSIS
#include <genders.h>

int genders_parse(genders_t handle, const char *filename, FILE *stream);

DESCRIPTION
genders_parse() parses the genders file indicated by filename and outputs information to stream about parse errors in the genders file. If filename is NULL, the default genders file will be checked. If stream is NULL, information will be output to standard error.

RETURN VALUES
On success, the number of parse errors discovered is returned. If there are no errors, 0 is returned. On error, -1 is returned, and an error code is returned in handle. The error code can be retrieved via genders_errnum(3) , and a description of the error code can be retrieved via genders_strerror(3). Error codes are defined in genders.h.

ERRORS

GENDERS_ERR_NULLHANDLE
    The handle parameter is NULL. The genders handle must be created with genders_handle_create(3).

GENDERS_ERR_OPEN
    The genders file indicated by filename cannot be opened for reading.

GENDERS_ERR_OVERFLOW
    A line in the genders database exceeds the maximum allowed length.

GENDERS_ERR_MAGIC
    handle has an incorrect magic number. handle does not point to a genders handle or handle has been destroyed by genders_handle_destroy(3).

FILES
/usr/include/genders.h

SEE ALSO
libgenders(3), genders_handle_create(3), genders_errnum(3), genders_strerror(3)